[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] [PATCH nbdkit] python: Drop support for Python 2.



On Wed, Sep 11, 2019 at 08:42:29PM +0100, Richard W.M. Jones wrote:
> This patch proposes to drop support for Python 2 in nbdkit.
> 
> Rather than abruptly drop it everywhere, my proposal is that we point
> people to nbdkit 1.14 (the current stable version) if they want to
> continue with Python 2 plugins, while gently reminding them of the
> upcoming Python 2.7 end of life announcement.
> 
> Libnbd never supported Python 2.  Libguestfs in theory supports
> Python 2 but I dropped the bindings from Fedora back in March so it's
> basically never tested now.  Libvirt also started to prefer Python 3
> over Python 2 back in March.

I intend that we will drop python 2 compat in libvirt in the 6.0.0
release ~ Jan 15 2020, as that's the first release after py2 goes
EOL by its maintainers.

We've already dropped py2 in libvirt-python in Fedora 31.

Overall I think its reasonable for nbdkit to drop py2 now, given it
has a much narrower userbase and much less legacy platform deployment.

Even on RHEL-7 where py2 is the default, you can still get py3 via
software collections if needed.

Regards,
Daniel
-- 
|: https://berrange.com      -o-    https://www.flickr.com/photos/dberrange :|
|: https://libvirt.org         -o-            https://fstop138.berrange.com :|
|: https://entangle-photo.org    -o-    https://www.instagram.com/dberrange :|


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]